%define anolis_release 2

Name: psmisc
Version: 23.6
Release: %{anolis_release}%{?dist}
Summary: Utilities for managing processes on your system

License: GPLv2+
URL: https://sourceforge.net/projects/%{name}
Source: https://sourceforge.net/projects/%{name}/files/%{name}/%{name}-%{version}.tar.xz


BuildRequires: make
BuildRequires: libselinux-devel
BuildRequires: gettext
BuildRequires: ncurses-devel
BuildRequires: autoconf automake
BuildRequires: gcc
BuildRequires: git


%description
The psmisc package contains utilities for managing processes on your
system: pstree, killall, fuser and pslog.  The pstree command displays
a tree structure of all of the running processes on your system.  The
killall command sends a specified signal (SIGTERM if nothing is specified)
to processes identified by name.  The fuser command identifies the PIDs
of processes that are using specified files or filesystems. The pslog
command shows the path of log files owned by a given process.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -S git

%build
%configure --prefix=%{_prefix} --enable-selinux
make %{?_smp_mflags}


%install
make install DESTDIR="$RPM_BUILD_ROOT"

mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mv $RPM_BUILD_ROOT%{_bindir}/fuser $RPM_BUILD_ROOT%{_sbindir}

%find_lang %name --all-name --with-man

%generate_compatibility_deps

%files -f %{name}.lang
%dir %{abidir}
%{_sbindir}/fuser
%{_bindir}/killall
%{_bindir}/pstree
%{_bindir}/pstree.x11
%{_bindir}/prtstat
%{_bindir}/pslog
%{abidir}/pstree-option.list
%{abidir}/prtstat-option.list
%{_mandir}/man1/fuser.1*
%{_mandir}/man1/killall.1*
%{_mandir}/man1/pstree.1*
%{_mandir}/man1/prtstat.1*
%{_mandir}/man1/pslog.1*
%ifnarch riscv64
%{_bindir}/peekfd
%{_mandir}/man1/peekfd.1*
%else
%exclude %{_mandir}/man1/peekfd.1*
%endif
%license COPYING

%files doc
%doc AUTHORS ChangeLog README

%changelog
* Sun Apr 27 2025 Shangtong Guo <guo.shangtong@zte.com.cn> - 23.6-2
- add support for riscv64 build

* Wed Mar 08 2023 Xuchun Shang <xuchun.shang@linux.alibaba.com> - 23.6-1
- Update to version 23.6

* Sun Oct 09 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 23.4-2
- add doc package

* Fri Mar 11 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 23.4-1
* Init from upstream version 23.4

